Listar apontamentos
curl --request GET \
--url https://api.juridiq.com.br/time-sheet/ \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/time-sheet/"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/time-sheet/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"isDone": true,
"officeId": "<string>",
"timeSpentSeconds": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"taskId": "<string>",
"audienceId": "<string>",
"subtaskId": "<string>",
"estimatedTimeMinutes": 123,
"cancelReason": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"vinculateItem": {
"id": "<string>",
"name": "<string>",
"processNumber": "<string>"
},
"thisUserCanEdit": true,
"userDetail": {
"name": "<string>",
"urlImage": "<string>"
},
"statusHistories": [
{
"id": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"timeSpent": 123
}
]
}
],
"totalResults": 123,
"totalPages": 123
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}TimeSheets
Listar apontamentos
GET
/
time-sheet
/
Listar apontamentos
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Query Parameters
Página. Começa em 1
Itens por página
Filtra por título
Filtra por módulo
Available options:
TASK, AUDIENCE, SUBTASK, GENERAL Filtra pelo status atual (FINISHED = Concluídos + Cancelados)
Available options:
PENDING, IN_PROGRESS, PAUSED, COMPLETED, CANCELLED, FINISHED true ou false
Filtra por usuário
Filtra por tarefa
Filtra por audiência
Filtra por subtarefa
asc ou desc
Available options:
asc, desc Campo de ordenação
⌘I

